%define	pkgname	hiredis
%define	sover	0
%define	libname	lib%{pkgname}%{sover}_10
Name:		%{libname}
Version:	0.11.0
Release:	7.1
Url:		https://github.com/redis/hiredis
Group:		Development/Libraries
Summary:	Minimalistic C client for Redis >= 1.2
License:	see COPYING
Source0:	%{pkgname}.tar.bz2
Patch0:		%{pkgname}-makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Hiredis is a minimalistic C client library for the Redis database.

It is minimalistic because it just adds minimal support for the protocol,
but at the same time it uses an high level printf-alike API in order to
make it much higher level than otherwise suggested by its minimal code
base and the lack of explicit bindings for every Redis command.

Apart from supporting sending commands and receiving replies,
it comes with a reply parser that is decoupled from the I/O layer.
It is a stream parser designed for easy reusability, which can for instance
be used in higher level language bindings for efficient reply parsing.

Hiredis only supports the binary-safe Redis protocol,
so you can use it with any Redis version >= 1.2.0.

The library comes with multiple APIs. There is the synchronous API,
the asynchronous API and the reply parsing API.

%package -n lib%{pkgname}-devel
Summary:	Minimalistic C client for Redis >= 1.2
Group:		Development/Libraries
Provides:	%{pkgname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n lib%{pkgname}-devel
Development files for hiredis library.

%prep
%setup -n %{pkgname}
%patch0

%build
%__make

%install
%__make PREFIX=%{buildroot}%{_prefix} LIB=%{_lib} install

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README.md CHANGELOG.md COPYING
%{_libdir}/lib%{pkgname}.so.%{sover}.10

%files -n lib%{pkgname}-devel
%defattr(-,root,root)
%{_includedir}/hiredis
%{_libdir}/libhiredis.a
%{_libdir}/libhiredis.so.%{sover}
%{_libdir}/libhiredis.so

%changelog
* Sun Mar 23 2014 cs@linux-administrator.com
- initial package
